from django.conf.urls.defaults import *
import views
from django.shortcuts import render_to_response

urlpatterns = patterns('',
	url(r'^sandwich/add/$', views.add_sandwich, name='add_sandwich'),
	url(r'^sandwich/addingredient/$', views.add_ingredient, name='add_ingredient'),
	url(r'^sandwich/all/$', views.all_sandwich, name='all_sandwiches'),
	url(r'^sandwich/(?P<year>[-\w]+)/(?P<month>[-\w]+)/$', views.sandwich_month, name='sandwich_by_month'),
	url(r'^sandwich/(?P<slug>[-\w]+)/$', views.specific_sandwich, name='sandwich_by_slug'),
	url(r'^login/$', views.login_view, name='login'),
	url(r'^logout/$', views.logout_view, name='logout'),
	url(r'^signup/$', views.create_user, name='signup'),
	url(r'', views.current_home, name='index'),
)
